Package io.vertx.ext.mongo

## Class MongoClientDeleteResult

- java.lang.Object
- - io.vertx.ext.mongo.MongoClientDeleteResult

-     public class MongoClientDeleteResult
      extends Object

  Result propagated from mongodb driver delete result.
  Author:
    Maziz Esa

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `DEFAULT_REMOVEDCOUNT` | The default value is 0, signifying no document is removed
    `static String` | `REMOVED_COUNT` | Constant to be used when storing and retrieving Json for documents removed.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MongoClientDeleteResult()` | Default constructor
    `MongoClientDeleteResult​(long docRemovedCount)` | Constructor that specify the number of documents removed
    `MongoClientDeleteResult​(JsonObject mongoClientDeleteResultJson)` | Constructor form JSON
    `MongoClientDeleteResult​(MongoClientDeleteResult otherMongoClientDeleteResultCopy)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `long` | `getRemovedCount()` | Get the number of removed documents
    `int` | `hashCode()` |
    `JsonObject` | `toJson()` | Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_REMOVEDCOUNT

          public static final long DEFAULT_REMOVEDCOUNT

      The default value is 0, signifying no document is removed
      See Also:
        Constant Field Values

    - #### REMOVED_COUNT

          public static final String REMOVED_COUNT

      Constant to be used when storing and retrieving Json for documents removed.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoClientDeleteResult

          public MongoClientDeleteResult()

      Default constructor

    - #### MongoClientDeleteResult

          public MongoClientDeleteResult​(long docRemovedCount)

      Constructor that specify the number of documents removed
      Parameters:
        `docRemovedCount` -

    - #### MongoClientDeleteResult

          public MongoClientDeleteResult​(MongoClientDeleteResult otherMongoClientDeleteResultCopy)

      Copy constructor
      Parameters:
        `otherMongoClientDeleteResultCopy` - the one to copy

    - #### MongoClientDeleteResult

          public MongoClientDeleteResult​(JsonObject mongoClientDeleteResultJson)

      Constructor form JSON
      Parameters:
        `mongoClientDeleteResultJson` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getRemovedCount

          public long getRemovedCount()

      Get the number of removed documents
      Returns:
        number of removed documents

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`